Content-type: text/html

# IPSEC_TNCFG

Section: Maintenance Commands (8)
Updated: 21 Jun 2000
Index Return to Main Contents

## NAME

ipsec tncfg - associate IPSEC virtual interface with physical interface

## SYNOPSIS

ipsec tncfg

ipsec tncfg --attach --virtual virtual --physical physical

ipsec tncfg --detach --virtual virtual

ipsec tncfg --clear

ipsec tncfg --version

ipsec tncfg --help

## DESCRIPTION

Tncfg attaches/detaches IPSEC virtual interfaces to/from physical interfaces, through which packets will be forwarded once processed by IPSEC.

The form with no additional arguments lists the contents of /proc/net/ipsec_tncfg. The format of /proc/net/ipsec_tncfg is discussed in ipsec_tncfg(5). The --attach form attaches the virtual interface to the physical one. The --detach form detaches the virtual interface from whichever physical interface it is attached to. The --clear form clears all the virtual interfaces from whichever physical interfaces they were attached to.

Virtual interfaces typically have names like ipsec0, while physical interfaces typically have names like eth0 or ppp0.

## EXAMPLES

ipsec tncfg --attach --virtual ipsec0 --physical eth0
  attaches the ipsec0 virtual device to the eth0 physical device.

## FILES

/proc/net/ipsec_tncfg, /usr/local/bin/ipsec

## SEE ALSO

ipsec(8), ipsec_manual(8), ipsec_eroute(8), ipsec_spi(8), ipsec_spigrp(8), ipsec_klipsdebug(8), ipsec_tncfg(5)

## HISTORY

Written for the Linux FreeS/WAN project <http://www.freeswan.org/> by Richard Guy Briggs.

## Index

NAME
SYNOPSIS
DESCRIPTION
EXAMPLES
FILES
SEE ALSO
HISTORY

This document was created by man2html, using the manual pages.
Time: 05:09:33 GMT, June 19, 2001